#
# spec file for package linuxptp
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           linuxptp
Version:        1.4
Release:        4.3
Summary:        Precision Time Protocol v2 daemon
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Url:            http://linuxptp.sourceforge.net/
Source0:        linuxptp-%{version}.tar.bz2
Source1:        ptp4l.service
Source2:        sysconfig.ptp4l
Source3:        linuxptp.firewall
Source4:        linuxptp-howto.txt
Source5:        phc2sys.service
Source6:        sysconfig.phc2sys
BuildRequires:  kernel-source
BuildRequires:  systemd
PreReq:         %insserv_prereq  %fillup_prereq
Provides:       ptp-timekeeping
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?systemd_requires}

%description
This software is an implementation of the Precision Time Protocol (PTP)
according to IEEE standard 1588 for Linux. The dual design goals are to provide
a robust implementation of the standard and to use the most relevant and modern
Application Programming Interfaces (API) offered by the Linux kernel.

%prep
%setup0 -q 

%build
export EXTRA_CFLAGS="$RPM_OPT_FLAGS -Iusr/include"

# take missing header files form kernel sources
make -C /usr/src/linux headers_install O=$PWD

make %{?_smp_mflags}

cp %{SOURCE4} .

%install
make prefix=%{buildroot}/usr mandir=%{buildroot}/%{_mandir} install

%__install -Dm 644 %{SOURCE1} %{buildroot}/%{_unitdir}/ptp4l.service
%__install -Dm 644 %{SOURCE5} %{buildroot}/%{_unitdir}/phc2sys.service
ln -s /usr/sbin/service %{buildroot}%{_sbindir}/rcptp4l
ln -s /usr/sbin/service %{buildroot}%{_sbindir}/rcphc2sys

%__install -Dm 644 default.cfg %{buildroot}/%{_sysconfdir}/ptp4l.conf

%__install -Dm 644 %{SOURCE2} %{buildroot}/var/adm/fillup-templates/sysconfig.ptp4l
%__install -Dm 644 %{SOURCE6} %{buildroot}/var/adm/fillup-templates/sysconfig.phc2sys

%__install -Dm 644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/linuxptp

%pre
%service_add_pre ptp4l.service phc2sys.service

%post
%{fillup_only -n ptp4l}
%{fillup_only -n phc2sys}
%service_add_post ptp4l.service phc2sys.service

%preun
%service_del_preun ptp4l.service phc2sys.service

%postun
%service_del_postun ptp4l.service phc2sys.service

%files
%defattr(-,root,root)
%{_unitdir}/ptp4l.service
%{_unitdir}/phc2sys.service
%{_sbindir}/rcptp4l
%{_sbindir}/rcphc2sys
%config %{_sysconfdir}/ptp4l.conf
%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/linuxptp
%{_sbindir}/hwstamp_ctl
%{_sbindir}/phc2sys
%{_sbindir}/pmc
%{_sbindir}/ptp4l
%{_mandir}/man8/hwstamp_ctl.8.gz
%{_mandir}/man8/phc2sys.8.gz
%{_mandir}/man8/pmc.8.gz
%{_mandir}/man8/ptp4l.8.gz
/var/adm/fillup-templates/sysconfig.ptp4l
/var/adm/fillup-templates/sysconfig.phc2sys
%doc README.org COPYING linuxptp-howto.txt

%changelog
* Wed Sep  3 2014 ro@suse.de
- sanitize release line in specfile
* Thu Mar 27 2014 lpechacek@suse.com
- updated How To to mention ethtool (bnc#865358)
* Wed Mar 26 2014 jbohac@suse.cz
- convert to systemd (bnc#865355)
  - two separate services (ptp4l and phc2sys) instead of linuxptp
  - two separate config files:
    /etc/syscconfig/ptp4l and /etc/sysconfig/phc2sys instead of
    /etc/sysconfig/linuxptp
* Tue Feb 18 2014 jbohac@suse.cz
- upgraded to 1.4
- fixed FSF address in init file
* Fri Jul 26 2013 lpechacek@suse.com
- added Linux PTP Howto
* Thu Jun  6 2013 lpechacek@suse.com
- adjusted sysconfig defaults to match changes made to phc2sys
  behavior
* Wed Jun  5 2013 jbohac@suse.cz
- upgraded to 1.2.git74e70372
* Tue Apr 23 2013 jbohac@suse.cz
- upgraded to 1.2
* Mon Mar 25 2013 lpechacek@suse.com
- reviewed by Security (bnc#809336)
* Fri Mar 15 2013 cfarrell@suse.com
- license update: GPL-2.0+
  No indication of a GPL version 2 only license. Also, use SPDX format
  where possible
* Wed Mar  6 2013 lpechacek@suse.com
- upgraded to 1.1
* Fri Feb 15 2013 lpechacek@suse.com
- initial packaging
